Skip site navigation (1) Skip section navigation (2)

Re: Need help urgent!!!

From: Raymond O'Donnell <rod(at)iol(dot)ie>
To: dileepav(at)thirdeyetek(dot)com
Cc: pgadmin-support(at)postgresql(dot)org
Subject: Re: Need help urgent!!!
Date: 2009-07-10 11:40:45
Message-ID: 4A5728BD.4020308@iol.ie (view raw or flat)
Thread:
Lists: pgadmin-support
On 10/07/2009 12:24, Dileep A.V wrote:
> Hi Ray,
> 
> Thanks for the reply and your time. There is no statement like:
> 
> extension=php_pgsql.dll in my php.ini file. Anyway I have added a new line
> for the same. Then I restarted the Apache Web Server(Apache). But after that
> When I try to open the phppgadmin, url is http://localhost:8081/phpPgAdmin/,
> 
> I am getting the following error:
> 
> Your PHP installation does not support PostgreSQL. You need to recompile PHP
> using the --with-pgsql configure option.

Are you sure that PHP is using the correct php.ini? Doing a phpinfo()
will tell you, somewhere in the first few blocks of information.

Also, have you told PHP where to look for dynamic extensions? There's an
option for that in php.ini also; on my laptop, for example, it's -

    extension_dir = "c:\php\ext"

- under the "Paths and directories" section of php.ini.

Finally, check that php_pgsql.dll exists, and that the PHP user has
execute permissions on it.

Ray.


------------------------------------------------------------------
Raymond O'Donnell, Director of Music, Galway Cathedral, Ireland
rod(at)iol(dot)ie
Galway Cathedral Recitals: http://www.galwaycathedral.org/recitals
------------------------------------------------------------------

In response to

Responses

pgadmin-support by date

Next:From: Raymond O'DonnellDate: 2009-07-10 12:14:26
Subject: Re: Need help urgent!!!
Previous:From: Dileep A.VDate: 2009-07-10 11:27:58
Subject: Re: Need help urgent!!!

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group